Neo Plugin lightroom classic

Comments

2 comments

  • Avatar
    Margaret Bright

    Hi Robert,

    Could you please let me know the version of Lightroom that you are using?

    Please also let me know if you are currently using the laters version of Luminar Neo - 1.5.0.

    0
    Comment actions Permalink
  • Avatar
    Robert Williams

    I am using the latest version of Lightroom Classic (2023) and latest update of Neo.

     

    0
    Comment actions Permalink

Please sign in to leave a comment.